# Feedback Forensics Docs

Welcome to the docs for **Feedback Forensics: an open-source toolkit to measure AI personality changes**. Beyond raw capabilities, *model personality traits*, such as tone and sycophancy, also matter to users. Feedback Forensics can help you track *(1) personality changes encouraged by your human (or AI) feedback datasets* ([tutorial](guide/feedback.ipynb)), and *(2) personality traits exhibited by your AI models* ([tutorial](guide/models.ipynb)).

## Getting Started

Below are the first steps to analysing personality changes in your own datasets and models, locally on your machine:

1. ↓ [Install package](installation.md)
2. 🚀 Get started measuring personality traits:
    * 🗣️ [Encouraged by feedback data](guide/feedback.ipynb)
    * 🤖 [Exhibited by your model](guide/models.ipynb)
3. 📏 [Learn how we measure personality](method/index.md)

```{seealso}
If you want to skip local installation for now, see our online platform at [app.feedbackforensics.com](https://app.feedbackforensics.com/) for ready-to-view personality results on popular datasets and models.
```


## Getting Help

- 🐛 [Report issues](https://github.com/rdnfn/feedback-forensics/issues) on GitHub
- ⚙️ [Request features](https://github.com/rdnfn/feedback-forensics/issues) on GitHub

## License

Feedback Forensics is released under the [Apache 2.0 License](https://github.com/rdnfn/feedback-forensics/blob/main/LICENSE).